<!--Ultima modificacion DHT 27/12/2011.-->
<!--Ultima modificacion DHT 13/09/2012. Se agrego la declaracion de los atributos referencia1 y referencia2, ambos opcionales -->
<!--Ultima modificacion DHT 23/10/2012. Se amplio a 4 caracteres los tomados para en atributo plantaEntrega  -->
<!--Ultima modificacion DHT 12/02/2013. Se pone como requerido ordenCompra y referencia1. Se asigna NA en ordenCompra cuando se omita su captura y se asignara Serie + Folio en referencia1 cuando se omita su captura. Se asigna NA para referencia2 para cuando se omita su captura.  -->
<!--Ultima modificacion DHT 01/10/2014. Se cambia el origen del dato para el atributo "plantaEntrega" ya que la cadena comercial empezó a rechazar el xml porque en el domicilio del receptor (esquema del sat) aparece el dato de Referencia ( campo Referencia del domicilio cliente en el A2) de donde se tomaba el dato, ahora se tomará del campo Referencia Receptor -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:mabe="http://recepcionfe.mabempresa.com/cfd/addenda/v1">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="mabe:Factura">
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:variable name="tpodoc" select="Datos/Documento/@TipoDocumento"/>
			<xsl:attribute name="tipoDocumento">				
				<xsl:choose>
					<xsl:when test="$tpodoc = 1">
						<xsl:text>FACTURA</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 2">
						<xsl:text>NOTA CREDITO</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 3">
						<xsl:text>NOTA CARGO</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>NO_DEFINIDO</xsl:text>
					</xsl:otherwise>
				</xsl:choose>	
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="Datos/Documento/@Dato1 !=''">
					<xsl:attribute name="folio">
						<xsl:value-of select="Datos/Documento/@Dato1"/>
					</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="folio">
						<xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
					</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="fecha">
				<xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/>
			</xsl:attribute>
			<xsl:attribute name="ordenCompra">
				<xsl:choose>
					<xsl:when test="Datos/Documento/XMLAddenda/Documento/OrdenCompra/@ Orden-Scheduling !=''">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/OrdenCompra/@ Orden-Scheduling"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="referencia1">
				<xsl:choose>
					<xsl:when test="Datos/Documento/@Dato2 !=''">
						<xsl:value-of select="Datos/Documento/@Dato2"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="referencia2">
				<xsl:choose>
					<xsl:when test="Datos/Documento/@Dato3 !=''">
						<xsl:value-of select="Datos/Documento/@Dato3"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>NA</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:element name="mabe:Moneda">
				<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
				<xsl:attribute name="tipoMoneda">
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>XEU</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:if test="Datos/Documento/@TipoCambio &gt; 0">
					<xsl:attribute name="tipoCambio">
						<xsl:value-of select="format-number(Datos/Documento/@TipoCambio,'0.00')"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="importeConLetra">
					<xsl:value-of select="Datos/Documento/@ImporteLetra"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="mabe:Proveedor">
				<xsl:attribute name="codigo"><xsl:value-of select="Datos/Emisor/@noProveedor"/></xsl:attribute>
			</xsl:element>
			<xsl:element name="mabe:Entrega">
				<xsl:attribute name="plantaEntrega">
					<!--xsl:value-of select="substring(Datos/Receptor/Domicilio/@Referencia,1,4)"/-->
					<xsl:value-of select="substring(Datos/Receptor/@Referencia,1,4)"/>
				</xsl:attribute>
				<xsl:if test="Datos/Receptor/Destino/@Calle !=''">
					<xsl:attribute name="calle">
						<xsl:value-of select="substring(Datos/Receptor/Destino/@Calle,1,35)"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Receptor/Destino/@noExterior !=''">
					<xsl:attribute name="noExterior">
						<xsl:value-of select="substring(Datos/Receptor/Destino/@noExterior,1,5)"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="noInterior">
					<xsl:choose>
						<xsl:when test="Datos/Receptor/Destino/@noInterior !=''">
							<xsl:value-of select="substring(Datos/Receptor/Destino/@noInterior,1,5)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>NA</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:if test="Datos/Receptor/Destino/@CodigoPostal !=''">
					<xsl:attribute name="codigoPostal">
						<xsl:value-of select="Datos/Receptor/Destino/@CodigoPostal"/>
					</xsl:attribute>
				</xsl:if>
			</xsl:element>
			<xsl:element name="mabe:Detalles">
				<xsl:for-each select="Datos/Documento/Partidas/Partida">
					<xsl:call-template name="Detalle_Partidas"/>
				</xsl:for-each>
			</xsl:element>
			<xsl:if test="Datos/Documento/@ImpDescuentos &gt; 0">
				<xsl:element name="mabe:Descuentos">
					<xsl:attribute name="tipo">
						<xsl:text>DESCUENTO</xsl:text>
					</xsl:attribute>
					<xsl:attribute name="descripcion">
						<xsl:text>NA</xsl:text>
					</xsl:attribute>
					<xsl:attribute name="importe">
						<xsl:value-of select="format-number(Datos/Documento/@ImpDescuentos,'0.00')"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:if>
			<xsl:element name="mabe:Subtotal">
				<xsl:attribute name="importe">
					<xsl:value-of select="format-number(Datos/Documento/@ImpNeto,'0.000000')"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:if test="/Datos/Documento/@TotalImpuestoTrasladado &gt; 0">
				<xsl:element name="mabe:Traslados">
					<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
						<xsl:call-template name="Detalle_Impuestos"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:if>
			<xsl:if test="/Datos/Documento/@TotalImpuestoRetenido &gt; 0">
				<xsl:element name="mabe:Retenciones">
					<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
						<xsl:call-template name="Detalle_Retenciones"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:if>
			<xsl:element name="mabe:Total">
				<xsl:attribute name="importe">
					<xsl:value-of select="format-number(Datos/Documento/@ImpTotal,'0.000000')"/>
				</xsl:attribute>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="Detalle_Partidas">
		<xsl:element name="mabe:Detalle">
			<xsl:attribute name="noLineaArticulo"><xsl:value-of select="position()"/></xsl:attribute>
			<xsl:attribute name="codigoArticulo">
				<xsl:value-of select="@CodigoBarras"/>
			</xsl:attribute>
			<xsl:attribute name="descripcion">
				<xsl:value-of select="substring(@Descripcion,1,50)"/>
			</xsl:attribute>
			<xsl:attribute name="unidad">
				<xsl:value-of select="@UnidadMedida"/>
			</xsl:attribute>
			<xsl:attribute name="cantidad">
				<xsl:value-of select="format-number(@Cantidad,'0.00')"/>
			</xsl:attribute>
			<xsl:attribute name="precioSinIva">
				<xsl:value-of select="format-number(@PrecioBruto,'0.000000')"/>
			</xsl:attribute>
			<xsl:attribute name="importeSinIva">
				<xsl:value-of select="format-number(@ImpNeto,'0.000000')"/>
			</xsl:attribute>			
		</xsl:element>
	</xsl:template>
	<xsl:template name="Detalle_Impuestos">
		<xsl:choose>
			<xsl:when test="@Tipo='IVA'">
				<xsl:element name="mabe:Traslado">
					<xsl:attribute name="tipo"><xsl:value-of select="@Tipo"/></xsl:attribute>
					<xsl:attribute name="tasa"><xsl:value-of select="format-number(@Porcentaje,'0.000000')"/></xsl:attribute>
					<xsl:attribute name="importe"><xsl:value-of select="format-number(@Importe,'0.000000')"/></xsl:attribute>
				</xsl:element>
			</xsl:when>
			<xsl:when test="@Tipo='IEPS'">
				<xsl:element name="mabe:Traslado">
					<xsl:attribute name="tipo"><xsl:value-of select="@Tipo"/></xsl:attribute>
					<xsl:attribute name="tasa"><xsl:value-of select="format-number(@Porcentaje,'0.000000')"/></xsl:attribute>
					<xsl:attribute name="importe"><xsl:value-of select="format-number(@Importe,'0.000000')"/></xsl:attribute>
				</xsl:element>
			</xsl:when>
		</xsl:choose>		
	</xsl:template>
	<xsl:template name="Detalle_Retenciones">
		<xsl:choose>
			<xsl:when test="@Tipo='RISR'">
				<xsl:element name="mabe:Retencion">
					<xsl:attribute name="tipo">ISR</xsl:attribute>
					<xsl:attribute name="tasa"><xsl:value-of select="format-number(@Porcentaje,'0.000000')"/></xsl:attribute>
					<xsl:attribute name="importe"><xsl:value-of select="format-number(@Importe,'0.000000')"/></xsl:attribute>
				</xsl:element>
			</xsl:when>
			<xsl:when test="@Tipo='RIVA'">
				<xsl:element name="mabe:Retencion">
					<xsl:attribute name="tipo">IVA</xsl:attribute>
					<xsl:attribute name="tasa"><xsl:value-of select="format-number(@Porcentaje,'0.000000')"/></xsl:attribute>
					<xsl:attribute name="importe"><xsl:value-of select="format-number(@Importe,'0.000000')"/></xsl:attribute>
				</xsl:element>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
